USE mfdb;

CREATE TABLE `fund_performance_dolphin` (
  `fund_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '基金id',
  `end_date` varchar(7) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '截至日期',
  `price_date` date DEFAULT NULL COMMENT '最近累计净值日期',
  `cumulative_nav` decimal(22,6) DEFAULT NULL COMMENT '最近累计净值',
  `ret_1m` decimal(22,6) DEFAULT NULL COMMENT '最近一个月收益率',
  `ret_1m_a` decimal(22,6) DEFAULT NULL COMMENT '最近一个月收益率（年化）',
  `ret_3m` decimal(22,6) DEFAULT NULL COMMENT '最近三个月收益率',
  `ret_3m_a` decimal(22,6) DEFAULT NULL COMMENT '最近三个月收益率（年化）',
  `ret_6m` decimal(22,6) DEFAULT NULL COMMENT '最近半年收益率',
  `ret_6m_a` decimal(22,6) DEFAULT NULL COMMENT '最近半年收益率（年化）',
  `ret_1y` decimal(22,6) DEFAULT NULL COMMENT '最近一年收益率',
  `ret_1y_a` decimal(22,6) DEFAULT NULL COMMENT '最近一年收益率（年化）',
  `ret_2y` decimal(22,6) DEFAULT NULL COMMENT '最近两年收益率',
  `ret_2y_a` decimal(22,6) DEFAULT NULL COMMENT '最近两年收益率（年化）',
  `ret_3y` decimal(22,6) DEFAULT NULL COMMENT '最近三年收益率',
  `ret_3y_a` decimal(22,6) DEFAULT NULL COMMENT '最近三年收益率（年化）',
  `ret_4y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近四年收益率',
  `ret_4y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近四年收益率（年化）',
  `ret_5y` decimal(22,6) DEFAULT NULL COMMENT '最近五年收益率',
  `ret_5y_a` decimal(22,6) DEFAULT NULL COMMENT '最近五年收益率（年化）',
  `ret_10y` decimal(22,6) DEFAULT NULL COMMENT '最近十年收益率',
  `ret_10y_a` decimal(22,6) DEFAULT NULL COMMENT '最近十年收益率（年化）',
  `ret_ytd` decimal(22,6) DEFAULT NULL COMMENT '今年以来收益率',
  `ret_ytd_a` decimal(22,6) DEFAULT NULL COMMENT '今年以来收益率（年化）',
  `ret_incep` decimal(22,6) DEFAULT NULL COMMENT '成立以来收益率',
  `ret_incep_a` decimal(22,6) DEFAULT NULL COMMENT '成立以来收益率（一年以下不年化）',
  `creatorid` int DEFAULT NULL COMMENT '创建者Id,默认第一次创建者名称，创建后不变更',
  `createtime` datetime DEFAULT NULL COMMENT '创建时间,默认第一次创建的getdate()时间',
  `updaterid` int DEFAULT NULL COMMENT '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
  `updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同',
  `isvalid` tinyint NOT NULL DEFAULT '1' COMMENT '记录的有效性；1-有效；0-无效；',

  PRIMARY KEY (`fund_id`,`end_date`),
  KEY `idx_end_date` (`end_date`),
  KEY `idx_fund_performance2` (`fund_id`,`price_date`),
  KEY `idx_fund_performance3` (`updatetime`)
) COMMENT='DolphinDB写回的基金历史业绩表'
